<?php

/**
* Paypal Form
*
* @package Digital Downloads Pro
* @author parspal.com
* @copyright 2019
*/

$amount = $this->cart->totalprice;
if (App::Core()->currency == "IRR") $amount = $amount / 10;
require_once(dirname(__FILE__) . '/parspal_payment_helper.class.php');
$p = new ParsPal_Payment_Helper($this->gateway->extra);
$r = $p->paymentRequest(array(
		'amount'      => intval(ceil($amount)),
		'order_id'    => App::Auth()->sesid,
		'reserve_id'  => $this->row->id . '_' . App::Auth()->uid,
		'description' => $this->row->title,
		'return_url'  => SITEURL.'/gateways/'.$this->gateway->dir.'/ipn.php',
		'payer'       => array(
		'name'        => App::Auth()->username,
		'email'       => App::Auth()->email,
	)));
if ($r)
{
	?>
	<br />
	<div class="box">
		<form action="<?php echo $p->gatewayUrl ?>" method="get" id="pp_form" name="pp_form">
			<span class="input-out"><input type="image" src="<?php echo SITEURL;?>/gateways/parspal/parspal_big.png" name="submit" class="tooltip" title="پرداخت از طريق درگاه پرداخت پارس پال" alt="" onclick="document.pp_form.submit();"/></span>
		</form>
	</div>
	<?php
}
else
{
	$message = $p->error;
	echo $message;
}

?>