<?php define("_VALID_PHP", true); define("_WOJO", true); require_once ("../../init.php"); include ("../../header.php"); ?>
<html>
<head>
<meta charset="UTF-8">
</head>
<body>
<?php

/**
* parspal IPN
*
* @package Digital Downloads Pro
* @author parspal.com
* @copyright 2019
*/

$refnum = $_POST['receipt_number'];
$sesid = $_POST['order_id'];
list($membership_id, $user_id) = explode("_", $_POST['reserve_id']);

$row = Db::run()->first(Content::mxTable, null, array("id" => intval($membership_id)));
$usr = Db::run()->first(Users::mTable, null, array("id" => intval($user_id)));
$cart = Content::getCart($usr->id);

if (!$cart)
{
	$cart = new stdClass;
	$tax =  Content::calculateTax(intval($user_id));
	$cart->originalprice = $row->price;
	$cart->total = $row->price;
	$cart->totaltax = Validator::sanitize($row->price * $tax, "float");
	$cart->totalprice = Validator::sanitize($tax * $row->price + $row->price, "float");
}

$amount = $gross = $row->price;
if (App::Core()->currency == "IRR") $amount = $amount / 10;

$parspal = Db::run()->first("gateways", array("extra"), array("name" => "parspal"));
require_once(dirname(__FILE__) . '/parspal_payment_helper.class.php');
$p = new ParsPal_Payment_Helper($parspal->extra);
$r = $p->paymentVerify($_POST, intval(ceil($amount)));
if ($r)
{
	if ($row)
	{
		$data = array(
				'txn_id' => $refnum,
				'membership_id' => $row->id,
				'user_id' => $usr->id,
				'amount' => $cart->total,
				'coupon' => $cart->coupon,
				'total' => $cart->totalprice,
				'tax' => $cart->totaltax,
				'currency' => strtoupper(App::Core()->currency),
				'ip' => Url::getIP(),
				'pp' => "ParsPal",
				'status' => 1,
			);
		$last_id = Db::run()->insert(Product::xTable, $data)->getLastInsertId();
		$udata = array(
				'transaction_id' => $last_id,
				'user_id' => $usr->id,
				'membership_id' => $row->id,
				'expire' => Date::calculateDays($row->id),
				'recurring' => $row->recurring,
				'active' => 1,
			);
		$xdata = array(
				'membership_id' => $row->id,
				'mem_expire' => $udata['expire'],
			);
		Db::run()->insert(Content::mxhTable, $udata);
		Db::run()->update(Users::mTable, $xdata, array("id" => $usr->id));
		Db::run()->delete(Product::cxTable, array("user_id" => $usr->id));
		Auth::$udata->membership_id = App::Session()->set('membership_id', $row->id);
		Auth::$udata->mem_expire = App::Session()->set('mem_expire', $xdata['mem_expire']);
		$mailer = Mailer::sendMail();
		$tpl = Db::run()->first(Content::eTable, array("body", "subject"), array('typeid' => 'payComplete'));
		$core = App::Core();
		$body = str_replace(array('[LOGO]', '[CEMAIL]', '[COMPANY]', '[DATE]', '[SITEURL]', '[NAME]', '[ITEMNAME]', '[PRICE]', '[STATUS]', '[PP]', '[IP]', '[FB]', '[TW]'), 
			array(Utility::getLogo(), $core->site_email, $core->company, date('Y'), SITEURL, $usr->fname . ' ' . $usr->lname, $row->title, $data['total'], "Completed", "ParsPal", Url::getIP(), $core->social->facebook, $core->social->twitter), 
			$tpl->body);
		$msg = Swift_Message::newInstance()->setSubject($tpl->subject)->setTo(array($core->site_email => $core->company))->setFrom(array($usr->email => $usr->fname . ' ' . $usr->lname))->setBody($body, 'text/html');
		$mailer->send($msg);
		$tpl2 = Db::run()->first(Content::eTable, array("body", "subject"), array('typeid' => 'payCompleteUser'));
		$ubody = str_replace(array('[LOGO]', '[CEMAIL]', '[COMPANY]', '[DATE]', '[SITEURL]', '[NAME]', '[ITEMNAME]', '[PRICE]', '[TAX]', '[PP]', '[FB]', '[TW]'), 
			array(Utility::getLogo(), $core->site_email, $core->company, date('Y'), SITEURL, $usr->fname . ' ' . $usr->lname, $row->title, $data['total'], $data['tax'], "ParsPal", Url::getIP(), $core->social->facebook, $core->social->twitter), 
			$tpl2->body);
		$umailer = Mailer::sendMail();
		$umessage = Swift_Message::newInstance()->setSubject($tpl2->subject)->setTo(array($usr->email => $usr->fname . ' ' . $usr->lname))->setFrom(array($core->site_email => $core->company))->setBody($ubody, 'text/html');
		$umailer->send($umessage);
		echo '<p class="msgOk" style="font-family:tahoma; direction:rtl; text-align:right" >عمليات پرداخت با موفقيت به پايان رسيد ،&nbsp;شماره رسيد پرداخت : ' . $refnum . '</p>';
	}
	else
	{
		echo '<p class="msgError" style="font-family:tahoma; direction:rtl; text-align:right" >خطا در پردازش عملیات پرداخت ، نتیجه پرداخت : سفارش در سایت موجود نیست! !</p>';
	}
	/*
	if ($cartrow)
	{
		foreach ($cartrow as $crow)
		{
			$data = array('txn_id' => sanitize($refnum), 'pid' => $crow->pid, 'uid' => intval($user_id), 'downloads' => 0, 'file_date' => time(), 'ip' => sanitize($_SERVER['REMOTE_ADDR']), 'created' => "NOW()", 'payer_email' => '-', 'payer_status' => 'Completed', 'item_qty' => $crow->total, 'price' => $crow->total * $crow->price, 'mc_fee' => floatval(0), 'currency' => sanitize(App::Core()->currency), 'pp' => "parspal", 'status' => 1, 'active' => 1);
			$db->insert("transactions", $data);
		}
		unset($crow);
	}
	require_once (BASEPATH . "lib/class_mailer.php");
	$row2 = $core->getRowById("email_templates", 5);
	$user = $core->getRowById("users", $user_id);
	$body = str_replace(array('[USERNAME]', '[STATUS]', '[TOTAL]', '[PP]', '[IP]'), array($user->username, "Completed", $core->formatMoney($gross), "ParsPal", $_SERVER['REMOTE_ADDR']), $row2->body);
	$newbody = cleanOut($body);
	$mailer = Mailer::sendMail();
	$message = Swift_Message::newInstance()->setSubject($row2->subject)->setTo(array($core->site_email => $core->site_name))->setFrom(array($core->site_email => $core->site_name))->setBody($newbody, 'text/html');
	$mailer->send($message);
	$row3 = $core->getRowById("email_templates", 8);
	$val = '<table border="0" cellpadding="4" cellspacing="2">';
	$val .= '
	<thead>
	<tr>
	<td width="20"><strong>#</strong></td>
	<td><strong>Product Name</strong></td>
	<td><strong>Product Price</strong></td>
	<td><strong>Quantity</strong></td>
	<td><strong>Total Price</strong></td>
	</tr>
	</thead>
	<tbody>';
	$i = 0;
	foreach ($cartrow as $ccrow)
	{
		$i++;
		$val .= '
		<tr>
		<td style="border-bottom-width:1px; border-bottom-color:#bbb; border-bottom-style:dashed">' . $i . '.</td>
		<td style="border-bottom-width:1px; border-bottom-color:#bbb; border-bottom-style:dashed">' . sanitize($ccrow->title, 30, false) . '</td>
		<td style="border-bottom-width:1px; border-bottom-color:#bbb; border-bottom-style:dashed">' . $core->formatMoney($ccrow->price) . '</td>
		<td align="center" style="border-bottom-width:1px; border-bottom-color:#bbb; border-bottom-style:dashed">' . $ccrow->total . '</td>
		<td align="right" style="border-bottom-width:1px; border-bottom-color:#bbb; border-bottom-style:dashed">' . $core->formatMoney($ccrow->total * $ccrow->price) . '</td>
		</tr>';
	}
	unset($ccrow);
	$val .= '<tr><td colspan="4" align="right" valign="top" style="border-bottom-width:1px; border-bottom-color:#bbb; border-bottom-style:dashed"><strong>';
	$val .= 'Sub Total:<br /></strong></td><td align="right" valign="top" style="border-bottom-width:1px; border-bottom-color:#bbb; border-bottom-style:dashed"><strong>';
	$val .= $core->formatMoney($gross) . '<br /></strong>';
	$val .= ' </td>
	</tr>
	<tr>
	<td colspan="4" align="right" valign="top"><strong style="color:#F00">Grand Total:</strong></td>
	<td align="right" valign="top"><strong style="color:#F00">' . $core->formatMoney($gross) . '</strong></td>
	</tr>
	</tbody>
	</table>';
	$body3 = str_replace(array('[USERNAME]', '[ITEMS]', '[SITENAME]', '[URL]'), array($user->username, $val, $core->site_url, $core->site_name), $row3->body);
	$newbody2 = cleanOut($body3);
	$mailer2 = Mailer::sendMail();
	$message2 = Swift_Message :: newInstance()->setSubject($row3->subject)->setTo(array($user->email => $user->username))->setFrom(array($core->site_email => $core->site_name))->setBody($newbody2, 'text/html');
	$mailer2->send($message2);
	$db->delete("cart", "user_id='" . $sesid . "'");
	$db->delete("extras", "user_id='" . $sesid . "'");
	$db->delete("recent", "user_id='" . $sesid . "'");
	echo '<p class="msgOk" style="font-family:tahoma; direction:rtl; text-align:right" >عمليات پرداخت با موفقيت به پايان رسيد ،&nbsp;شماره رسيد پرداخت : ' . $refnum . '</p>';
	*/
}
else
{
	echo '<p class="msgError" style="font-family:tahoma; direction:rtl; text-align:right" >خطا در پردازش عملیات پرداخت ، نتیجه پرداخت : ' . $p->error . ' !</p>';
}

echo '<div class="wrap" style="float:right">  <h1><span><a href="' . Url::url("/dashboard") . '" class="button-alt-sml" style="font-family:tahoma; direction:rtl; text-align:right; font-size:8pt" >بازگشت به صفحه حساب کاربري</a></span></h1>';

?>
</body>
</html>